Subject: Re: bug#2222: 23.0.90; Labels in RMAIL

From: Richard M Stallman <[email-masked]>
Date: Wed, 11 Feb 2009 15:58:40 -0500

Still missing is completion over all labels defined for a given
    folder. That could be done by scanning all the X-RMAIL-KEYWORDS
    headers, but it might be slow.

That's why I did not implement it.  In Babyl format, the list was
stored in the beginning of the file, so this completion could be fast.
I don't see any reliable way to do that with mbox files.

How about adding a user-customizable list of labels
to include in each completion?

Meanwhile, I think there is no particular reason to us an obarray
to hold the labels that have been seen.  If we store it as a list,
reading a keyword could merge all the lists (attributes, keywords seen,
and the keywords specified by the user) each time.  They are not likely
to be very long lists.